#ifndef VULKANCPPSETUP_VULKANWINDOW_H
#define VULKANCPPSETUP_VULKANWINDOW_H

#include <QVulkanWindow>
#include <iostream>
#include <qevent.h>
#include "WorldView.h"

class VulkanWindow : public QVulkanWindow {
public:
  QVulkanWindowRenderer *createRenderer() override;

protected:
  void keyPressEvent(QKeyEvent *event) override;
  void mousePressEvent(QMouseEvent *event) override;
  void mouseReleaseEvent(QMouseEvent *event) override;
  void mouseMoveEvent(QMouseEvent *event) override;

private:
  WorldView m_worldView{};
  bool m_mousePressed{false};
  QPoint m_lastMousePos;
};

#endif // VULKANCPPSETUP_VULKANWINDOW_H
