# Vulkan Renderer

Created with Qt 5 and the help of <https://vulkan-tutorial.com> 
and <https://vkguide.dev/> and <https://doc.qt.io/qt-5/>.

## Building

Needs cmake 3.21+, C++20 compiler, Qt 5.10+

```shell
cmake -B build
sh -c 'cd build && make'
```

## Usage

Run in your terminal:
```shell
build/VulkanCppSetup
```

Note: Program needs to be run from the project directory
(parent directory of `shaders`), because the shader files are
loaded based on the working directory.

ESC (or any `QKeySequence::Quit`) to quit

Use the mouse to click & drag together with WASD to.. make art?
